g3cat(1)

NAME
g3cat - concatenate multiple g3 documents

SYNOPSIS
g3cat [-l] [-a] g3-file1 ...

DESCRIPTION
g3cat concatenates g3 files. These can either be 'raw', that is, bitmaps packed according to the CCITT T.4 standard for one-dimensional bitmap encoding, or 'digifax' files, created by GNU's GhostScript package with the digifax drivers. Its output is a concatenation of all the input files, in raw G3 format, with two white lines in between.

If a - is given as input file, stdin is used.

If the input data is malformed, a warning is printed to stderr, and the output file will have a blank line at this place.

OPTIONS

-l  separate files with a one-pixel wide black line.

-h <blank lines>
    specifies the number of blank lines g3cat should prepend to each page. Default is 0.

-L <lines>
    limit lenght of output page to maximum <lines> lines.

SPECIAL-CASE OPTIONS

-w <width>
    specifies the desired page width in pixels per line. Default is 1728 PELs, and this is mandatory if you want to send the fax to a standard fax machine. If one of the input files doesn't match this line width (for example because it was created by a broken G3 creator), a warning is printed, and the line width is transparently fixed.

-a  byte-align the end-of-line codes (EOL) in the file. Every EOL will end at a byte boundary, that is, with a 01 byte.

-p <pad>
    specifies a minimum number of bytes that each output line must be padded to. Padding is done with 0-bits before the EOL code.

-R  suppress output of end-of-page code (RTC).

Example
The following example will put a header line on a given g3 page, 'page1' and put the result into 'page2': echo '$header' | pbmtext | pbm2g3 | g3cat - page1 >page2

FILES
--

BUGS
Hopefully none :-).

SEE ALSO
g32pbm(1), sendfax(8), faxspool(1)

AUTHORS
g3cat is Copyright (C) 1993 by Gert Doering, <gert@greenie.muc.de>